<div class="comments">
<?php 
	$cform_desc_reply = 'REPLY';
	$cform_desc_name = fOpt::Get('translation', 'comment-name');
	$cform_desc_email = fOpt::Get('translation', 'comment-email');
	$cform_desc_url = fOpt::Get('translation', 'comment-website');
	//$cform_desc_submit = 'Submit Comment';

	$comments_closed = fOpt::Get('translation', 'comment-closed');
	$comments_reply_text = fOpt::Get('translation', 'comment-reply');
	$comments_cance_reply_text = fOpt::Get('translation', 'comment-cancel');
	
	
?>
<?php if ( have_comments() ) { ?>
	<h3 id="comments"><?php comments_number(fOpt::Get('translation', 'comment-count-zero'), fOpt::Get('translation', 'comment-count-one'), fOpt::Get('translation', 'comment-count-more'));?></h3>
	<ol class="commentlist" id="singlecomments">
	<?php
		$args = array();
		$args['avatar_size'] = 46;
		$args['reply_text'] = $comments_reply_text;
		wp_list_comments($args);
	?>
	</ol>
	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>
<?php 
	} 
	else {
		if( 'open' == $post->comment_status ) {
			
		} else {
			//echo '<p class="nocomments">'.$comments_closed.'</p>';
		}
	
	}
	
?>


<?php 
/*
title_reply
(string) (optional) The title of comment form (when not replying to a comment, see comment_form_title).
Default: __( 'Leave a Reply' )
title_reply_to
(string) (optional) The title of comment form (when replying to a comment, see comment_form_title).
Default: __( 'Leave a Reply to %s' )
cancel_reply_link
(string) (optional) link label to cancel reply.
Default: __( 'Cancel reply' )
label_submit
(string) (optional) the name of submit button.
Default: __( 'Post Comment' )*/



$args = array();
$args['title_reply'] = fOpt::Get('translation', 'comment-enter-discussion');
$args['label_submit'] = fOpt::Get('translation', 'comment-submit');

$args['comment_field'] = '<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>';

$fields = array();
$fields['author'] = '<p><input type="text" name="author" id="author" value="" size="22" tabindex="1"/>'.
					'<label for="author"><small>'.$cform_desc_name.'</small></label></p>';

$fields['email'] = '<p><input type="text" name="email" id="mail" value="" size="22" tabindex="1"/>'.
					'<label for="email"><small>'.$cform_desc_email.'</small></label></p>';

$fields['url'] = '<p><input type="text" name="url" id="url" name="comment" value="" size="22" tabindex="1"/>'.
					'<label for="comment"><small>'.$cform_desc_url.'</small></label></p>';

$args['fields'] = $fields;

$args['logged_in_as'] = '<p class="logged-in-as">' . sprintf(fOpt::Get('translation', 'comment-log-in').'<a href="%1$s">%2$s</a>. <a href="%3$s" title="">'.fOpt::Get('translation', 'comment-log-out').'</a>', admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>';

$args['must_log_in'] = '<p class="must-log-in">' .  sprintf(fOpt::Get('translation', 'comment-log-in-to-reply'), wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>';

$args['comment_notes_after'] = '';
$args['comment_notes_before'] = '';
if ('open' == $post->comment_status) { 
	comment_form( $args );
}
?>
</div>
